Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.junit.client
Class GWTTestCase.BaseStrategy

    java.lang.Object
      com.google.gwt.junit.client.GWTTestCase.BaseStrategy

All Implemented Interfaces:
  com.google.gwt.junit.JUnitShell.Strategy

Direct Known Subclasses:
  com.google.gwt.junit.PropertyDefiningStrategy

Enclosing class:
  GWTTestCase

    public static class GWTTestCase.BaseStrategy

extends java.lang.Object
implements com.google.gwt.junit.JUnitShell.Strategy

The base class for strategies to use for tests.

Constructor Summary
`GWTTestCase.BaseStrategy()`

Method Summary
`java.lang.String` | `getModuleInherit()`
`java.lang.String` | `getSyntheticModuleExtension()`
`void` | `processModule(com.google.gwt.dev.cfg.ModuleDef module)`
`void` | `processResult(junit.framework.TestCase testCase, com.google.gwt.junit.client.impl.JUnitResult result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GWTTestCase.BaseStrategy

    public GWTTestCase.BaseStrategy()

Method Detail

### getModuleInherit

    public java.lang.String getModuleInherit()

  Specified by:
    `getModuleInherit` in interface `com.google.gwt.junit.JUnitShell.Strategy`

### getSyntheticModuleExtension

    public java.lang.String getSyntheticModuleExtension()

  Specified by:
    `getSyntheticModuleExtension` in interface `com.google.gwt.junit.JUnitShell.Strategy`

### processModule

    public void processModule(com.google.gwt.dev.cfg.ModuleDef module)

  Specified by:
    `processModule` in interface `com.google.gwt.junit.JUnitShell.Strategy`

### processResult

    public void processResult(junit.framework.TestCase testCase,
                              com.google.gwt.junit.client.impl.JUnitResult result)

  Specified by:
    `processResult` in interface `com.google.gwt.junit.JUnitShell.Strategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD